Bug 482778 - Regression: gnome-keyring-daemon crashes when unlocking SSH passphrase
Regression: gnome-keyring-daemon crashes when unlocking SSH passphrase
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
http://koji.fedoraproject.org/koji/bu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 19:49 EST by Michel Alexandre Salim
Modified: 2015-03-03 17:33 EST (History)
7 users (show)

See Also:
Fixed In Version: 2.25.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 17:50:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2009-01-27 19:49:46 EST
Description of problem:
The first time g-k-d acts as an SSH agent, it crashes, producing this error from SSH:

"Error reading response length from authentication socket."

SSH then falls back to asking for the passphrase on the terminal.

Further attempts to use SSH result in the passphrase being asked on the terminal, with no further error, as the SSH agent (g-k-d) is no longer running.

This can be reproduced by restarting g-k-d, and exporting the environment variables it outputs by hand.

Version-Release number of selected component (if applicable):
2.25.5-1

How reproducible:
Always

Steps to Reproduce:
1. Log into GNOME
2. Start gnome-terminal, use SSH
3. Use ps to verify that gnome-keyring-daemon is no longer running
4. Restart gnome-keyring-daemon on the terminal, export the new environment
   variables it outputs
5. Use SSH
6. Revert to 2.25.4.2-1
  
Actual results:
2) and 5) yields "Error reading response length from authentication socket."

Expected results:
After 6), gnome-keyring-daemon works as expected

Additional info:
Comment 1 Matthias Clasen 2009-01-28 21:40:59 EST
Hmm, not happening here, with gnome-keyring-2.25.5-1.fc11 and openssh-client-5.1p1-5.fc11.
What version of openssh-clients is do you have installed ?
Comment 2 Bill Nottingham 2009-01-30 11:47:07 EST
What I'm seeing (may be related, may be not) is that the SSH_AUTH_SOCK environment variable points to a socket that isn't being watched by the current gnome-keyring-daemon. This implies that it crashed, and got respawned.

If I reset SSH_AUTH_SOCK to point to where it's currently listening, it hangs.
Comment 3 Matthias Clasen 2009-02-05 01:18:23 EST
Can you try again with gnome-keyring-2.25.90 ? 
There were some 64bit issues that have been fixed.
Comment 4 Bill Nottingham 2009-02-05 10:45:46 EST
It appears to be not crashing any more, but it's not remembering ssh keys.
Comment 5 Matthias Clasen 2009-02-21 02:02:33 EST
I see it working perfectly fine now, on x86_64. Still having problems, Bill ?
Comment 6 Michel Alexandre Salim 2009-02-23 11:18:54 EST
I don't currently have Rawhide installed on my x86_64 box, so if Bill is not experiencing any problem, we can close this bug report.
Comment 7 Bill Nottingham 2009-02-25 17:50:31 EST
It's working better now.
Comment 8 Juan Quintela 2009-04-07 10:15:01 EDT
gnome-keyring-daemon still don't work properly for me.
It forgets my ssh password, and sometimes my vpn password.  It fails for me in i586, i.e. it is nothing 64bits related for me.


quintela@anano ~]$ rpm -qa openssh-clients
openssh-clients-5.2p1-2.fc11.i586
[quintela@anano ~]$ rpm -qa gnome-keyring
gnome-keyring-2.26.0-2.fc11.i586

it fails for me more sooner than later, and it is completely reproducible.

Note You need to log in before you can comment on or make changes to this bug.